### Method

# Secret Service unlock_dbus_paths_finish

#### Declaration [src]

    gint
    secret_service_unlock_dbus_paths_finish (
      SecretService* self,
      GAsyncResult* result,
      gchar*** unlocked,
      GError** error
    )

#### Description [src]

Complete asynchronous operation to unlock items or collections in the secret service.

The secret service may not be able to unlock items individually, and may unlock an entire collection instead.

Stability: | Unstable
This method is not directly available to language bindings.

#### Parameters

`result` | `GAsyncResult`
| Asynchronous result passed to the callback.
| The data is owned by the caller of the function.
`unlocked` | An array of `gchar**`
| location to place array of D-Bus paths of items or collections that were unlocked.
| The argument will be set by the function.
| The argument can be set to `NULL`.
| The argument can be `NULL`.
| The array must be `NULL`-terminated.
| The instance takes ownership of the data, and is responsible for freeing it.
| Each element is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gint`
| The number of items or collections that were unlocked.